net.sf.jasperreports.data.xmla

## Class XmlaDataAdapterService

- java.lang.Object
- - net.sf.jasperreports.data.AbstractDataAdapterService
  - - net.sf.jasperreports.data.xmla.XmlaDataAdapterService

- All Implemented Interfaces:
    DataAdapterService, ParameterContributor

      public class XmlaDataAdapterService
      extends AbstractDataAdapterService

  Version:
    $Id: XmlaDataAdapterService.java 7053 2014-04-25 15:32:01Z lucianc $
  Author:
    Veaceslov Chicu (schicu@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.data.AbstractDataAdapterService

      `SECRETS_CATEGORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlaDataAdapterService(JasperReportsContext jasperReportsContext, XmlaDataAdapter dataAdapter)`
    `XmlaDataAdapterService(XmlaDataAdapter dataAdapter)` Deprecated. Replaced by `XmlaDataAdapterService(JasperReportsContext, XmlaDataAdapter)`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `contributeParameters(java.util.Map<java.lang.String,java.lang.Object> parameters)`
    `XmlaDataAdapter` | `getXmlaDataAdapter()`
    `void` | `test()`

    - ### Methods inherited from class net.sf.jasperreports.data.AbstractDataAdapterService

      `dispose, getDataAdapter, getJasperReportsContext, getName, setDataAdapter, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlaDataAdapterService

          public XmlaDataAdapterService(JasperReportsContext jasperReportsContext,
                                XmlaDataAdapter dataAdapter)

    - #### XmlaDataAdapterService

          public XmlaDataAdapterService(XmlaDataAdapter dataAdapter)

      Deprecated. Replaced by `XmlaDataAdapterService(JasperReportsContext, XmlaDataAdapter)`.

  - ### Method Detail

    - #### getXmlaDataAdapter

          public XmlaDataAdapter getXmlaDataAdapter()

    - #### contributeParameters

          public void contributeParameters(java.util.Map<java.lang.String,java.lang.Object> parameters)
                                    throws JRException

      Specified by:
        `contributeParameters` in interface `ParameterContributor`
      Specified by:
        `contributeParameters` in class `AbstractDataAdapterService`
      Throws:
        `JRException`

    - #### test

          public void test()
                    throws JRException

      Specified by:
        `test` in interface `DataAdapterService`
      Overrides:
        `test` in class `AbstractDataAdapterService`
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com